query listCertificates @auth(level: USER) {
  certificates {
    id
    name
    description
    expiry
    status
    fileUrl
    icon
    staffId
    certificationType
    issuer
    validationStatus
    certificateNumber
    createdAt

    staff {
      id
      fullName
    }

  }
}

query getCertificateById($id: UUID!) @auth(level: USER) {
  certificate(id: $id) {
    id
    name
    description
    expiry
    status
    fileUrl
    icon
    certificationType
    issuer
    staffId
    validationStatus
    certificateNumber
    updatedAt

    staff {
      id
      fullName
    }

  }
}

query listCertificatesByStaffId($staffId: UUID!) @auth(level: USER) {
  certificates(where: { staffId: { eq: $staffId } }) {
    id
    name
    description
    expiry
    status
    fileUrl
    icon
    staffId
    certificationType
    issuer
    validationStatus
    certificateNumber
    createdAt

    staff {
      id
      fullName
    }

  }
}

